Skip to main content
PATCH
/
v1
/
boards
/
{id}
Update a board
curl --request PATCH \
  --url https://api.chatgrid.ai/v1/v1/boards/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Q1 Marketing Plan (updated)",
  "viewport_x": 150,
  "viewport_y": -50,
  "viewport_zoom": 1.5
}
'
{
  "object": "board",
  "data": {
    "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "name": "Q1 Marketing Plan",
    "created_at": "2026-03-15T10:30:00.000Z",
    "updated_at": "2026-03-15T12:45:00.000Z",
    "is_public": false,
    "public_access_level": null,
    "viewport_x": 0,
    "viewport_y": 0,
    "viewport_zoom": 1
  }
}

Authorizations

Authorization
string
header
required

Pass your API key (prefixed cgk_) or a Supabase JWT in the Authorization: Bearer <token> header.

Path Parameters

id
string<uuid>
required
Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

Body

application/json
name
string
Required string length: 1 - 255
Example:

"Q1 Marketing Plan (updated)"

viewport_x
number
Example:

150

viewport_y
number
Example:

-50

viewport_zoom
number
Required range: 0.1 <= x <= 10
Example:

1.5

Response

Board updated.

object
enum<string>
Available options:
board
data
object